#include <lvp\string.h>
#include <lvp\vector.h>

typedef vector<String> Array;

String RemoveFirstToken(String &param,const String &seperator)
{
	int sep_place = param.find(seperator);
	int sep_len = seperator.length();
	String token = param.substr(0,sep_place);
	int token_len = token.length();
	param = param.substr(sep_place+sep_len,param.length()-token_len-sep_len);
	return token;
}

void AddToArray(Array &A,const String &val)
{
	A.resize(A.length()+1);
	A[A.length()-1] = val;
}

Array explode(String &param,const String &seperator)
{
	String temp = param;
	Array A;
	while(param.find(seperator) != npos)
	{
		String ftoken = RemoveFirstToken(param,seperator);
		AddToArray(A,ftoken);
	}
	AddToArray(A,param);
	param = temp;
	return A;
}

String implode(const Array &A,const String &glue)
{
	String tokens;
	for(int i= 0; i< A.length()-1;i++)
	{
		tokens+=A[i];
		tokens+=glue;
	}
	tokens+=A[A.length()-1];
	return tokens;
}
